%define upstream_name    Unicode-LineBreak
%define upstream_version 2019.001

%{?filter_setup:
%filter_from_requires /perl(Unicode::LineBreak::Constants)/d
%filter_from_provides /^perl(Unicode::LineBreak)$/d
}
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Unicode::LineBreak::Constants\\)
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Unicode::LineBreak\\)$

Name:       perl-%{upstream_name}
Version:    2019.001
Release:    %mkrel 2

Summary:    UAX #14 Unicode Line Breaking Algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-Unicode-LineBreak-CVE-2016-1238.patch

BuildRequires: perl(Encode) >= 1.980.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.260.0
BuildRequires: perl(MIME::Charset)
BuildRequires: perl-devel

%description
Text::LineFold folds or unfolds lines of plain text. As it mainly focuses
on plain text e-mail messages, RFC 3676 flowed format is also supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Unicode/LineBreak/LineBreak.so


%files
%doc ARTISTIC Changes GPL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Thu Jun 11 2020 ghostbunny <ghostbunny at gmx dot de> 2019.001-1pclos2020
- rebuild

* Wed Mar 20 2019 tex 2019.001-1pclos2019
- new
